Name:		nemiver
Version:	0.5.4
Release:	1%{?dist}
Summary:	A C/C++ Debugger for GNOME - point, click, debug!

Group:		Development/Debuggers
License:	GPLv2+
URL:		http://home.gna.org/nemiver/

Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.5/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## GIO is F9+ only, so we need to explicitly depend on the GNOME VFS stuff...
BuildRequires:	boost-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gdb
BuildRequires:	gettext
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	gnome-vfs2-devel >= 2.14
BuildRequires:	libglademm24-devel >= 2.6.0
BuildRequires:	libgnome-devel >= 2.0
BuildRequires:	libgtksourceviewmm-devel >= 0.3.0
BuildRequires:	libgtop2-devel >= 2.14
BuildRequires:	libtool
BuildRequires:	perl(XML::Parser)
BuildRequires:	sqlite-devel >= 3.0
BuildRequires:	vte-devel >= 0.12.0

Requires(pre):	GConf2

Requires(post):	GConf2
Requires(post):	scrollkeeper

Requires(preun):	GConf2

Requires(postun):	scrollkeeper

## Needs hicolor-icon-theme so that the parent %%_datadir/icons/hicolor
## and its subtree directories are properly owned.
Requires:	hicolor-icon-theme
Requires:	gdb

## Mostly taken from its site index... :]
%description
Nemiver is an ongoing effort to write a standalone graphical debugger that
integrates well in the GNOME desktop environment. It currently features a
backend which uses the well known GNU Debugger (gdb) to debug C/C++ programs.

The yelp package must be installed to make use of Nemiver's documentation.


%package	headers
Summary:	Header files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
## Needs these for the various #include directives in its headers...
Requires:	boost-devel
Requires:	glibmm24-devel >= 2.8.5
Requires:	libxml2-devel >= 2.6.22
Requires:	gnome-vfs2-devel >= 2.14

Obsoletes:	%{name}-devel < 0.5.4-1
	
%description	headers
The %{name}-headers package contains header files for developing new debugging
backends for Nemiver.


%prep
%setup -q


%build
## The Memory View tool requires ghex >= 2.21.4, which F-8 does not have.
%configure --disable-static --disable-schemas-install		\
	--disable-scrollkeeper	--disable-memoryview
## Use system libtool to prevent build scripts from using RPATH hacks.
make %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
desktop-file-install --vendor fedora			\
	--dir %{buildroot}%{_datadir}/applications	\
	--remove-category=Application			\
	--delete-original				\
	%{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule	\
		%{_sysconfdir}/gconf/schemas/%{name}-*.schemas >/dev/null ||:
fi


%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule	\
		%{_sysconfdir}/gconf/schemas/%{name}-*.schemas >/dev/null ||:
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule	\
		%{_sysconfdir}/gconf/schemas/%{name}-*.schemas >/dev/null ||:
fi


%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
scrollkeeper-update -q ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYRIGHT NEWS README TODO 
%exclude %{_libdir}/%{name}/*.a
%exclude %{_libdir}/%{name}/*.la
%exclude %{_libdir}/%{name}/modules/*.a
%exclude %{_libdir}/%{name}/modules/*.la
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_sysconfdir}/gconf/schemas/%{name}-*.schemas
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/
%{_mandir}/man?/%{name}.*

%files headers
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/%{name}/


%changelog
* Sat Jun 28 2008 Peter Gordon <peter@thecodergeek.com> - 0.5.4-1
- Update to new upstream release (0.5.4)
- Rename -devel subpackage to -headers and adjust the %%description
  accordingly. (It no longer contains any shared library symlinks or pkgconfig
  data; and thus would not be multilib-friendly. We can't put it in the main
  package due to its additional *-devel dependencies. Finally, upstream has
  said that nothing should really be using the libnemivercommon API yet
  anyway.)
- Drop the libnemiver global library patch (fixed upstream)L
  - make-libnemivercommon-global-lib.patch

* Mon May 26 2008 Peter Gordon <peter@thecodergeek.com> - 0.5.3-1
- Update to new upstream release (0.5.3)
- Add upstream bug reference for make-libnemivercommon-global-lib patch. 
- Add patch to keep the nemivercommon shared library in the global  %%_libdir,
  rather that in a private directory therein. This allows other sources to
  properly build against it without using nasty RPATH hacks, and also makes RPM
  correctly add same-arch dependencies from the devel subpackage to the main
  package via that unversioned binary symlink:
  + make-libnemivercommon-global-lib.patch    
- Drop upstreamed pid_t build fix:
  - pid_t-fix-build.patch
- Alphabetize dependency list (aesthetic-only change)

* Thu Jan 10 2008 Peter Gordon <peter@thecodergeek.com> - 0.4.0-3
- Make GConf scriplets quieter (bug 426801: "unclean" rpm transaction).
- Add upstream patch to fix compile errors with casting from unsigned int*
  to pid_t* due to libgtop API change:
  + pid_t-fix-build.patch

* Tue Aug 21 2007 Peter Gordon <peter@thecodergeek.com> - 0.4.0-2
- Rebuild with BuildID-enabled binutils.
- Update License tag (GPLv2+)

* Sun Jun 03 2007 Peter Gordon <peter@thecodergeek.com> - 0.4.0-1
- Update to new upstream release (0.4.0)

* Sat Feb 17 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-6
- Remove chcon invocation entirely; as it is not needed.
- Don't install libtool archives (.la files) of the plugins.

* Tue Feb 13 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-5
- chcon call should be in %%post, not %%install

* Mon Feb 12 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-4
- Mark the libdbgperspectiveplugin.so plugin with a textrel_shlib_t context to
  workaround SELinux execmod denials.
- Hardcoded RPATHs are bad (especially when they are simply repeats of the
  standard LIBDIR stuff); so get rid of them in the supplied libtool with a
  couple of sed incantantions from the packaging guidelines.

* Wed Jan 24 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-3
- Another fix from Michael Schwendt: Don't mark installed GConf schemas as
  %%config. 

* Tue Jan 23 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-2
- Fix issues noted in review comments (Thanks to Michael Schwendt, #223943):
  (1) Add %%defattr line to the -devel subpackage %%files list.
  (2) Fix consistency of schemas listing by not using a glob in the
      %%files list, since they are separate in the scriplets' gconftool-2
      calls.
  (3) Add gettext and perl(XML::Parser) BuildRequires to fix mock building.
  (4) Add and explicitly version the Requires for the -devel subpackage due
      to various dependencies in the installed .pc file: libxml2-devel,
      glibmm24-devel, gnome-vfs2-devel. (glib2-devel is also needed, but that
      is pulled in as as dependency of glibmm24-devel.) 

* Mon Jan 22 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-1
- Initial packaging for Fedora Extras.
